petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetOutputSequenceNumber

Retrieve the sequence number/value for output

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetOutputSequenceNumber(DM dm, PetscInt *num, PetscReal *val)

### Input Parameter

dm -The original DM

### Output Parameters

| num | - The output sequence number
| val | - The output sequence value

Note: This is intended for output that should appear in sequence, for instance a set of timesteps in an HDF5 file, or a set of realizations of a stochastic system.

### See Also

VecView()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages